ScalaDocOptions (Gradle API 2.14.1)
Date: 2016-07-18

Package: org.gradle.api.tasks.scala

## [Java] Class ScalaDocOptions

- org.gradle.api.tasks.scala.ScalaDocOptions

- Options for the ScalaDoc tool.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `List<String>` | `getAdditionalParameters()` Returns the additional parameters passed to the compiler.
    `protected String` | `getAntPropertyName(String fieldName)`
    `protected Object` | `getAntPropertyValue(String fieldName, Object value)`
    `String` | `getBottom()` Returns the HTML text to appear in the bottom text for each page.
    `String` | `getDocTitle()` Returns the HTML text to appear in the main frame title.
    `String` | `getFooter()` Returns the HTML text to appear in the footer for each page.
    `String` | `getHeader()` Returns the HTML text to appear in the header for each page.
    `File` | `getStyleSheet()` Returns the style sheet to override default style.
    `String` | `getTop()` Returns the HTML text to appear in the top text for each page.
    `String` | `getWindowTitle()` Returns the text to appear in the window title.
    `boolean` | `isDeprecation()` Tells whether to generate deprecation information.
    `boolean` | `isUnchecked()` Tells whether to generate unchecked information.
    `void` | `setAdditionalParameters(List<String> additionalParameters)` Sets the additional parameters passed to the compiler.
    `void` | `setBottom(String bottom)` Sets the HTML text to appear in the bottom text for each page.
    `void` | `setDeprecation(boolean deprecation)` Sets whether to generate deprecation information.
    `void` | `setDocTitle(String docTitle)` Sets the HTML text to appear in the main frame title.
    `void` | `setFooter(String footer)` Sets the HTML text to appear in the footer for each page.
    `void` | `setHeader(String header)` Sets the HTML text to appear in the header for each page.
    `void` | `setStyleSheet(File styleSheet)` Sets the style sheet to override default style.
    `void` | `setTop(String top)` Sets the HTML text to appear in the top text for each page.
    `void` | `setUnchecked(boolean unchecked)` Sets whether to generate unchecked information.
    `void` | `setWindowTitle(String windowTitle)` Sets the text to appear in the window title.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractOptions` | `define, excludeFromAntProperties, getAntPropertyName, getAntPropertyValue, optionMap`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @Input @Optional public List<String> getAdditionalParameters()

      Returns the additional parameters passed to the compiler. Each parameter starts with '-'.

    - #### @Override protected String getAntPropertyName(String fieldName)

    - #### @Override protected Object getAntPropertyValue(String fieldName, Object value)

    - #### @Input @Optional public String getBottom()

      Returns the HTML text to appear in the bottom text for each page.

    - #### @Input @Optional public String getDocTitle()

      Returns the HTML text to appear in the main frame title.

    - #### @Input @Optional public String getFooter()

      Returns the HTML text to appear in the footer for each page.

    - #### @Input @Optional public String getHeader()

      Returns the HTML text to appear in the header for each page.

    - #### @InputFile @Optional public File getStyleSheet()

      Returns the style sheet to override default style.

    - #### @Input @Optional public String getTop()

      Returns the HTML text to appear in the top text for each page.

    - #### @Input @Optional public String getWindowTitle()

      Returns the text to appear in the window title.

    - #### @Input public boolean isDeprecation()

      Tells whether to generate deprecation information.

    - #### @Input public boolean isUnchecked()

      Tells whether to generate unchecked information.

    - #### public void setAdditionalParameters(List<String> additionalParameters)

      Sets the additional parameters passed to the compiler. Each parameter must start with '-'.

    - #### public void setBottom(String bottom)

      Sets the HTML text to appear in the bottom text for each page.

    - #### public void setDeprecation(boolean deprecation)

      Sets whether to generate deprecation information.

    - #### public void setDocTitle(String docTitle)

      Sets the HTML text to appear in the main frame title.

    - #### public void setFooter(String footer)

      Sets the HTML text to appear in the footer for each page.

    - #### public void setHeader(String header)

      Sets the HTML text to appear in the header for each page.

    - #### public void setStyleSheet(File styleSheet)

      Sets the style sheet to override default style.

    - #### public void setTop(String top)

      Sets the HTML text to appear in the top text for each page.

    - #### public void setUnchecked(boolean unchecked)

      Sets whether to generate unchecked information.

    - #### public void setWindowTitle(String windowTitle)

      Sets the text to appear in the window title.